Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Send an outbound support message

POST/workspaces/{organizationId}/support/channels/{channelId}/send
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
channelIdstringrequired
Request body
application/json
ticketIdstringrequired
textContentstringrequired
markdownContentstring
subjectstring
idempotencyKeystring
Responses
200

Message sent

okbooleanrequired
messageIdstringrequired
sentbooleanrequired
400

Bad request

404

Ticket, customer, or channel not found

Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X POST 'https://pile.nyc/workspaces/string/support/channels/string/send' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "ticketId": "string",
  "textContent": "string",
  "markdownContent": "string",
  "subject": "string",
  "idempotencyKey": "string"
}'
Response
{
  "ok": true,
  "messageId": "string",
  "sent": true
}